//  ph.h contains function prototypes for ph sensor
//  23AUG18 - begin file
//
//************************************************************************

void  ph_alloc(struct ph_param *ph);  //allocate memory for ph sensor
short ph_off(void);    //turn OFF ph
short start_ph(void);  //one try to power up ph
short ph_send_ss ( void ); //start sampling
short ph_get_sl(struct ph_param *DP);  //gets the answer
void  Transparent_ph( void );  //Transparent COMM to ph sensor
void  store_ph_dat( struct ph_param *DP );
short ph_data_pack( void );
short ph_avg_dat(short ix,short *dptr,short nrec, short navg,
              short n, long *x, short nsbe_off);
void  store_ph2flash ( struct ph_param *DP );
void  buf_to_cf1V( long nbytes , uchar *ptr);  //buffer to CF1 'V' file, for debugging
void  test_ph(void);    //test ph functions
void  menu_ph(void);    //menu of ph choices

#define N_PH_BUF 120
//*****************************************************************************
